Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
SecondaryQueueDatabase Class
Members See Also Send Feedback

A class representing a SecondaryQueueDatabase. The Queue format supports fast access to fixed-length records accessed sequentially or by logical record number.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public class SecondaryQueueDatabase : SecondaryDatabase

Visual Basic (Declaration)
    Public Class SecondaryQueueDatabase _
    	Inherits SecondaryDatabase

Visual C++
    public ref class SecondaryQueueDatabase : public SecondaryDatabase

# Inheritance Hierarchy

System..::.Object
BerkeleyDB..::.BaseDatabase
BerkeleyDB..::.SecondaryDatabase
BerkeleyDB..::.SecondaryQueueDatabase

# See Also

SecondaryQueueDatabase Members
BerkeleyDB Namespace